cURL
curl --request GET \
--url https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyra.io/staff/timeoff/{workspaceId}/{staffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currently_out": true,
"requests": [
{
"_id": "<string>",
"end": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z",
"type": "<string>",
"notes": "<string>",
"user": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"state_changed_by": "<string>",
"other": "<string>",
"requested_by": "<string>"
}
]
}Timeoff
Retrieve staff information
Retrieve timeoff information for a staff member
GET
/
staff
/
timeoff
/
{workspaceId}
/
{staffId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I